Skip to main content
POST
Assign subscription

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

platformId
string

Your platform id.

Example:

"pf_1"

userId
string

Target user id (must belong to the platform).

Example:

"usr_123"

planId
string

Plan id with itemType=plan.

Example:

"plan_1"

billingCycle
string

monthly | quarterly | annual | onetime (aliases: one-time, lifetime).

Body

application/json
platformId
string
required

Your platform id.

Example:

"pf_1"

userId
string
required

Target user id (must belong to the platform).

Example:

"usr_123"

planId
string
required

Plan id with itemType=plan.

Example:

"plan_1"

billingCycle
string

monthly | quarterly | annual | onetime (aliases: one-time, lifetime).

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number
Last modified on September 20, 2026